/*-
 * Copyright (c) 2005 Norikatsu Shigemura
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id$
 */

#include <ft2build.h>
#include FT_INTERNAL_STREAM_H
#include FT_INTERNAL_INTERNAL_H
#include FT_INTERNAL_TRUETYPE_TYPES_H

const FT_Frame_Field
sbit_metrics_fields[] =
{
#undef	FT_STRUCTURE
#define	FT_STRUCTURE	TT_SBit_MetricsRec

	FT_FRAME_START( 8 ),
	FT_FRAME_BYTE( height ),
	FT_FRAME_BYTE( width ),

	FT_FRAME_CHAR( horiBearingX ),
	FT_FRAME_CHAR( horiBearingY ),
	FT_FRAME_BYTE( horiAdvance ),

	FT_FRAME_CHAR( vertBearingX ),
	FT_FRAME_CHAR( vertBearingY ),
	FT_FRAME_BYTE( vertAdvance ),
	FT_FRAME_END
};
